Skip to main content
Resource Center/Resource Pool/Volume Operations
POSTVolume OperationsSince 4.5.0SynchronousAuth Required

AttachDataVolumeToHost

AttachDataVolumeToHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • volumeUuidStringRequired

    The volume UUID.

  • hostUuidStringRequired

    The host UUID.

Body Fields

  • mountPathStringRequired

    The mount path on the host.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/volumes/{volumeUuid}/hosts/{hostUuid}

/zstack/v1/volumes/{volumeUuid}/hosts/{hostUuid}

Operation ID

AttachDataVolumeToHost

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/volumes/{volumeUuid}/hosts/{hostUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"mountPath":"<mountPath>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history